AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AbstractPubSubProvider
  - MqttOverWSProvider

### Implements

- any

## Index

### Constructors

- constructor

### Accessors

- options

### Methods

- configure
- getCategory
- getProviderName
- newClient
- publish
- subscribe

## Constructors

### constructor

- new AbstractPubSubProvider(options?: ProvidertOptions): AbstractPubSubProvider

- - Defined in pubsub/src/Providers/PubSubProvider.ts:21

  #### Parameters

  - ##### Default value options: ProvidertOptions = {}

  #### Returns AbstractPubSubProvider

## Accessors

### Protected options

options:

- Defined in pubsub/src/Providers/PubSubProvider.ts:39

## Methods

### configure

- configure(config?: ProvidertOptions): ProvidertOptions

- - Defined in pubsub/src/Providers/PubSubProvider.ts:27

  #### Parameters

  - ##### Default value config: ProvidertOptions = {}

  #### Returns ProvidertOptions

### getCategory

- getCategory(): string

- - Defined in pubsub/src/Providers/PubSubProvider.ts:35

  #### Returns string

### Abstract getProviderName

- getProviderName(): string

- - Defined in pubsub/src/Providers/PubSubProvider.ts:37

  #### Returns string

### Abstract newClient

- newClient(clientOptions: ProvidertOptions): Promise<any>

- - Defined in pubsub/src/Providers/PubSubProvider.ts:41

  #### Parameters

  - ##### clientOptions: ProvidertOptions

  #### Returns Promise<any>

### Abstract publish

- publish(topics: string[] | string, msg: any, options?: ProvidertOptions): void

- - Defined in pubsub/src/Providers/PubSubProvider.ts:43

  #### Parameters

  - ##### topics: string[] | string

  - ##### msg: any

  - ##### Optional options: ProvidertOptions

  #### Returns void

### Abstract subscribe

- subscribe(topics: string[] | string, options?: ProvidertOptions): Observable<any>

- - Defined in pubsub/src/Providers/PubSubProvider.ts:45

  #### Parameters

  - ##### topics: string[] | string

  - ##### Optional options: ProvidertOptions

  #### Returns Observable<any>